classification
Title: Document that bug reporting by email is possible
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, Mike.Short, brett.cannon, docs@python, r.david.murray, techtonik
Priority: low Keywords: patch

Created on 2013-11-28 19:50 by techtonik, last changed 2014-09-02 14:22 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
bugs.patch Mike.Short, 2014-09-02 01:11 review
tracker.patch Mike.Short, 2014-09-02 01:11
Messages (7)
msg204693 - (view) Author: anatoly techtonik (techtonik) Date: 2013-11-28 19:50
I found this to be convenient: http://techtonik.rainforce.org/2013/11/roundup-tracker-create-issues-by-email.html

And this is missing from here: http://docs.python.org/release/2.7/bugs.html#using-the-python-issue-tracker
Anf from here:
http://docs.python.org/devguide/triaging.html

Disclaimer: I didn't sign the CLA, and people keep telling me that I need it to do documentation edits. But I edit Wikipedia freely and I find it wrong that I can not edit Python documentation without signing papers. So I am not sending patches until either Wikipedia requires CLA to edit its contents, or PSF abandons its ill FUD policies in favor of creating collaborative environment.

Regarding my aforementioned blog post, feel free to copy-paste it, as an author I release this into CC0/public domain. Ask python-legal-sig if it is enough.
msg204721 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-11-29 14:09
We cannot accept anything you produce until you sign the CLA.
msg226255 - (view) Author: Mike Short (Mike.Short) * Date: 2014-09-02 01:11
Addition to bugs.html to describe submitting bugs via email
msg226256 - (view) Author: Mike Short (Mike.Short) * Date: 2014-09-02 01:11
Same addition to the Python Dev Guide - seemed more appropriate on the tracker page vs. the triaging page.
msg226257 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-09-02 01:26
I'd be just as happy to not document this.  The fact that you need an account first means that people will try to submit without an account, and get a bounce.  It also works better when people reply on the bug tracker rather than by email.  I'd not want to take the capability away, but I'd prefer to not document or encourage it.  That, however, is just my opinion.
msg226263 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-02 07:13
I agree with David, I've noticed several messages recently that are mostly untrimmed replies to email so essentially have no actual content.
msg226274 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-09-02 14:03
And I agree with David and Mark. Thanks for the attempt at a patch, Mike, but in hindsight we are going to have to turn down your contribution.
History
Date User Action Args
2014-09-02 14:22:46berker.peksagsetstage: needs patch -> resolved
2014-09-02 14:03:35brett.cannonsetstatus: open -> closed
resolution: wont fix
messages: + msg226274
2014-09-02 07:13:12BreamoreBoysetnosy: + BreamoreBoy
messages: + msg226263
2014-09-02 01:26:29r.david.murraysetnosy: + r.david.murray
messages: + msg226257
2014-09-02 01:11:52Mike.Shortsetfiles: + tracker.patch

messages: + msg226256
2014-09-02 01:11:04Mike.Shortsetfiles: + bugs.patch

nosy: + Mike.Short
messages: + msg226255

keywords: + patch
2013-11-29 14:09:49brett.cannonsetpriority: normal -> low
stage: needs patch
2013-11-29 14:09:20brett.cannonsetnosy: + brett.cannon
messages: + msg204721
2013-11-28 19:50:45techtonikcreate